import Vue from 'vue';
import Zeedhi from '@zeedhi/vue';
import ZeedhiComponents from '@zeedhi/vuetify';
import TeknisaComponents from '@zeedhi/teknisa-components-vuetify';
import TekLibComponents from '@zeedhi/tek-lib';
import { ZdAvatar } from '@zeedhi/zd-avatar';
import { Icons } from '@zeedhi/common';
import { Messages, KeyMap, Loader } from '@zeedhi/core';
import router from '../router';
import controllers from '../controllers';
import config from '../config/config';
import '@zeedhi/common/dist/style.css';
import '@zeedhi/vuetify/dist/zd-style.css';
import vuetify from './vuetify';
import messages from '../assets/json/messages.json';
import es_cl from '../assets/json/words/es_cl.json';
import es_co from '../assets/json/words/es_co.json';
import es_es from '../assets/json/words/es_es.json';
import en_us from '../assets/json/words/en_us.json';

Icons.addIcons({
  iconName: 'mdi-icon-id',
});

Vue.use(Zeedhi, { controllers, router, config });
Vue.use(ZeedhiComponents);
Vue.use(TeknisaComponents);
Vue.use(TekLibComponents);

Vue.component('ZdAvatar', ZdAvatar);

vuetify.framework.icons.values = Icons.getIcons() as any;

Messages.add({
  'pt-BR': {
    translation: {
      ...messages,
    },
  },
  'es-CL': {
    translation: es_cl,
  },
  'es-CO': {
    translation: es_co,
  },
  'es-ES': {
    translation: es_es,
  },
  'en-US': {
    translation: en_us,
  },
});

const appController = Loader.getInstance('AppController');

KeyMap.bind({
  esc: {
    event: () => { appController.escAction(); },
    stop: true,
  },
});
